Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.microcontainer
Class DataSourceFactory

    java.lang.Object
      org.jboss.seam.microcontainer.DataSourceFactory

    public class DataSourceFactory

extends Object

A factory that configures and creates a JCA datasource

Author:
  Gavin King

Constructor Summary
`DataSourceFactory()`

Method Summary
`int` | `getBlockingTimeout()`
`String` | `getCheckValidConnectionSql()`
`String` | `getConnectionUrl()`
`Object` | `getDataSource()`
`String` | `getDriverClass()`
`int` | `getIdleTimeout()`
`String` | `getJndiName()`
`int` | `getMaxSize()`
`int` | `getMinSize()`
`String` | `getPassword()`
`int` | `getPreparedStatementCacheSize()`
`TransactionManager` | `getTransactionManager()`
`String` | `getUserName()`
`void` | `setBlockingTimeout(int blockingTimeout)`
`void` | `setCheckValidConnectionSql(String checkValidConnectionSql)`
`void` | `setConnectionUrl(String connectionUrl)`
`void` | `setDriverClass(String driverClass)`
`void` | `setIdleTimeout(int idleTimeout)`
`void` | `setJndiName(String jndiName)`
`void` | `setMaxSize(int maxSize)`
`void` | `setMinSize(int minSize)`
`void` | `setPassword(String password)`
`void` | `setPreparedStatementCacheSize(int preparedStatementCacheSize)`
`void` | `setTransactionManager(TransactionManager transactionManager)`
`void` | `setUserName(String userName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSourceFactory

    public DataSourceFactory()

Method Detail

### getDataSource

    public Object getDataSource()
                         throws Exception

  Throws:
    `Exception`

### getBlockingTimeout

    public int getBlockingTimeout()

### setBlockingTimeout

    public void setBlockingTimeout(int blockingTimeout)

### getIdleTimeout

    public int getIdleTimeout()

### setIdleTimeout

    public void setIdleTimeout(int idleTimeout)

### getMaxSize

    public int getMaxSize()

### setMaxSize

    public void setMaxSize(int maxSize)

### getMinSize

    public int getMinSize()

### setMinSize

    public void setMinSize(int minSize)

### getConnectionUrl

    public String getConnectionUrl()

### setConnectionUrl

    public void setConnectionUrl(String connectionUrl)

### getDriverClass

    public String getDriverClass()

### setDriverClass

    public void setDriverClass(String driverClass)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getUserName

    public String getUserName()

### setUserName

    public void setUserName(String userName)

### getPreparedStatementCacheSize

    public int getPreparedStatementCacheSize()

### setPreparedStatementCacheSize

    public void setPreparedStatementCacheSize(int preparedStatementCacheSize)

### getCheckValidConnectionSql

    public String getCheckValidConnectionSql()

### setCheckValidConnectionSql

    public void setCheckValidConnectionSql(String checkValidConnectionSql)

### getJndiName

    public String getJndiName()

### setJndiName

    public void setJndiName(String jndiName)

### getTransactionManager

    public TransactionManager getTransactionManager()

### setTransactionManager

    public void setTransactionManager(TransactionManager transactionManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD